Skip to main content
POST
/
projects
/
{project_id}
/
invites
/
invite
Invite user to project
import requests

url = "https://eu.app.clarifeye.ai/api/v1/projects/{project_id}/invites/invite/"

payload = {
    "email": "user@example.com",
    "permissions": ["CAN_VIEW_DATA", "CAN_RUN_TASKS"]
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "email": "jsmith@example.com",
  "permissions": [
    "CAN_PERFORM_ADMIN_ACTIONS"
  ],
  "status": "pending",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "invited_by": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "email": "jsmith@example.com",
    "date_joined": "2023-11-07T05:31:56Z"
  },
  "type": "new_user"
}

Documentation Index

Fetch the complete documentation index at: https://docs.clarifeye.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use Authorization: Bearer

Path Parameters

project_id
string<uuid>
required

UUID of the project

Body

application/json
email
string<email>
required

Email address of the user to invite

Example:

"user@example.com"

permissions
enum<string>[]
required

Permissions to grant to the user

  • CAN_PERFORM_ADMIN_ACTIONS: Full administrative access
  • CAN_VIEW_DATA: Read-only access to project data
  • CAN_RUN_TASKS: Execute background tasks and pipelines
  • CAN_VIEW_TECHNICAL_INTERFACE: Access to technical features
  • CAN_IMPERSONATE_OTHER_USERS: Impersonate other users in API calls (contact Clarifeye to enable)
Available options:
CAN_PERFORM_ADMIN_ACTIONS,
CAN_VIEW_DATA,
CAN_RUN_TASKS,
CAN_VIEW_TECHNICAL_INTERFACE,
CAN_IMPERSONATE_OTHER_USERS
Example:
["CAN_VIEW_DATA", "CAN_RUN_TASKS"]

Response

Invitation created successfully

id
string<uuid>
email
string<email>
permissions
enum<string>[]
  • CAN_PERFORM_ADMIN_ACTIONS: Full administrative access
  • CAN_VIEW_DATA: Read-only access to project data
  • CAN_RUN_TASKS: Execute background tasks and pipelines
  • CAN_VIEW_TECHNICAL_INTERFACE: Access to technical features
  • CAN_IMPERSONATE_OTHER_USERS: Impersonate other users in API calls (contact Clarifeye to enable)
Available options:
CAN_PERFORM_ADMIN_ACTIONS,
CAN_VIEW_DATA,
CAN_RUN_TASKS,
CAN_VIEW_TECHNICAL_INTERFACE,
CAN_IMPERSONATE_OTHER_USERS
status
enum<string>
  • pending: Invitation sent, awaiting response
  • accepted: User accepted the invitation
  • cancelled: Invitation was cancelled
Available options:
pending,
accepted,
cancelled
created_at
string<date-time>
updated_at
string<date-time>
invited_by
object
type
enum<string>
  • new_user: User not registered, invite is pending
  • existing_user: User exists, invite auto-accepted
Available options:
new_user,
existing_user